<!--data asset top nav-->
<nav class="navbar-light breadcrumb-panel">
    <div class="row">
            <div class="col-md-9">
                <span class="ml-3">
                    <span class="breadcrumb-heading" (click)="setBreadcrumbKey();">{{title}} </span>
                    <img src="assets/images/novartis/next.svg" alt="" class="nav-next" />
                    <span class="breadcrumb-heading ml-1" routerLink="../dataCatalogue">{{displayTabName}} </span>
                    <img src="assets/images/novartis/next.svg" alt="" class="nav-next" />
                    <span class="table-name-custom-css"> {{dataAssetRowData?.dataasset}} </span>
                </span>
            </div>
            <div class="col-md-3 input-group" id="searchEle">
                <input class="form-control border srch-input" placeholder="search" type="text" [(ngModel)]="searchdataAssetdetails">
                <span class="input-group-append">
                    <div class="input-group-text bg-transparent"><img src="assets/images/feature_icons/search.svg"
                        class="icon-css" alt="Search"></div>
                </span>
            </div>
        <div class="col-md-12 table-header-name">
            <p class="cml-3">{{dataAssetRowData?.dataasset}}</p>
        </div>
    </div>
</nav>
<!--data asset top nav-->

<!--tabs-->
<div class="s-tab">
    <ejs-tab id="secondary_tabs" #secondary_tabs  [animation]="tabAnimationSettings">
        <e-tabitems>
            <e-tabitem >
                <ng-template #headerText>
                    Data Dictionary
                </ng-template>
                <ng-template #content>
                    <div class="container-fluid pl-0 pb-0 align-tab">
                        <!--inner dictionary grid content-->
                        <ejs-grid [dataSource]="dataAssetRowData.columns| filter: searchdataAssetdetails:['col_name','uri','ob_name','logi_name','datatype','buss_desc']" allowSorting='true' allowSorting='true' 
                        [sortSettings]='dataAssetDetailedSort' [toolbar]="toolbar1" [allowTextWrap]='true' (click)="clickaction($event)" >
                            <e-columns>
                                <e-column field='uri' width='90' headerText="Table ID"></e-column>
                                <e-column field='ob_name' width='90' headerText="Table Technical Name"></e-column>
                                <e-column field='col_name' width='110' headerText="Technical Column Name"></e-column>
                                <e-column field='logi_name' width='90' headerText="Logical Name"></e-column>
                                <e-column field='datatype' width='90' headerText="Data Type"></e-column>
                                <e-column field='buss_desc' width='90' headerText="Description"></e-column>
                            </e-columns>
                        </ejs-grid>
                        <!--inner dictionary grid content-->
                    </div>
                    <!-- <span class="d-flex float-right mr-3 top-minus-42" id="dictionaryTemplate2">
                        <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page </span>
                        <span class="mt-1">
                            <ejs-dropdownlist name="pageSize" cssClass="e-outline"
                                [dataSource]="PaginationList" [value]="selectPaginator"  (change)="changePage($event)"
                                width="75px">
                            </ejs-dropdownlist>
                        </span>
                    </span> -->
                    <!--no records-->
                    <div class="container-fluid pl-0 pb-0 card-body c-coming-soon-block" *ngIf="dataAssetRowData.columns?.length < 1">
                        <span class="coming-soon">No Records Found</span>
                    </div>
                </ng-template>
            </e-tabitem >

            <e-tabitem >
                <ng-template #headerText>
                    Data Model
                </ng-template>
                <ng-template #content>
                    <!--inner grid data-->
                    <div class="container-fluid pl-0 pb-0 card-body c-coming-soon-block">
                        <span class="coming-soon">Coming Soon</span>
                    </div>
                    <!--inner grid data -->
                </ng-template>
            </e-tabitem>
    </e-tabitems>
    </ejs-tab>
</div>
<!--tabs-->